/*
 the short form 'font:' declaration was cauing issues with cross-browser compatability so it isn't used
 */
body {
  color: #6c6c6c;
  background: #e0e0e0;
  text-align: center;
  font-family: "Roboto", sans-serif;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  min-width: 340px;
}

main {
  flex: 1;
}

header {
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  margin-bottom: 20px;
  background: #ff5252;
}

@media screen and (max-width: 600px) {
  header {
    margin-bottom: 0;
  }
}

header h1 {
  font-family: "Bungee", cursive;
  font-weight: normal;
  font-size: 60px;
  color: #fafafa;
  margin: 0;
  transition: 0.1s;
}

@media screen and (max-width: 600px) {
  header h1 {
    font-size: 28px;
  }
}

footer {
  background: #424242;
  display: flex;
  align-items: center;
  justify-content: space-around;
  flex-wrap: wrap-reverse;
  color: #c7c7c7;
  padding: 15px 0;
}

footer a {
  font-weight: 300;
  text-decoration: none;
  color: inherit;
  transition: 0.15s;
  margin: 5px;
}

footer a:hover {
  color: #fafafa;
}

footer .git-link {
  font-size: 22px;
}

form {
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19), 0 6px 6px rgba(0, 0, 0, 0.23);
  display: inline-flex;
  align-items: center;
  align-content: space-between;
  justify-content: center;
  margin: 0 auto;
  padding: 10px;
  color: #6c6c6c;
  border-radius: 3px;
  background-color: #f5f5f5;
  user-select: none;
}

@media screen and (max-width: 600px) {
  form {
    border-top-right-radius: 0;
    border-top-left-radius: 0;
  }
}

form .size-wrap {
  margin: 0 10px;
}

form .size-wrap h2 {
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  font-family: "Bungee", cursive;
  font-weight: normal;
  font-size: 24px;
  color: #fafafa;
  margin: 0 0 10px;
  background-color: #424242;
}

.toolbar {
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
  font-family: "Bungee", cursive;
  font-weight: normal;
  font-size: 12px;
  color: #fafafa;
  display: inline-flex;
  width: auto;
  height: auto;
  margin: 0 auto;
  padding: 3px 10px 5px;
  border-bottom-right-radius: 3px;
  border-bottom-left-radius: 3px;
  background-color: #424242;
  text-align: center;
  /* being ocd about the text selection cursor appearing here */
  user-select: none;
}

.toolbar .section {
  display: inline-block;
}

.toolbar .section h3 {
  font-family: "Bungee", cursive;
  font-weight: normal;
  font-size: 13px;
  color: #424242;
  margin: 5px auto 0;
  padding: 2px 3px 0;
  border-radius: 4px;
  background-color: #f5f5f5;
}

.toolbar .tool-divider {
  display: inline-block;
  width: 1px;
  height: 48px;
  margin: 0 6px;
  background-color: rgba(250, 250, 250, 0.2);
}

.tile {
  display: inline-block;
  width: 25px;
  margin: 0;
  border-radius: 4px;
  font-size: 20px;
  line-height: 25px;
  transition: 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
  cursor: pointer;
}

.tile:hover {
  color: #ffae6c;
}

.wider {
  width: 44px;
  font-size: 18px;
}

input[type="number"] {
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  width: 2.2em;
  padding-left: 0.2em;
  border: 0;
  border-radius: 3px;
}

input[type="radio"] {
  display: none;
}

input:checked + label {
  color: #424242;
  background-color: #ffa052;
  box-shadow: inset 0 0 2px #853c00;
}

input:checked + label:hover {
  color: #424242;
}

.button {
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  font-family: "Bungee", cursive;
  font-weight: normal;
  font-size: 20px;
  color: #fafafa;
  margin: 0;
  padding: 15px;
  border: 0;
  border-radius: 3px;
  text-align: center;
  transition: 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
  cursor: pointer;
}

@media screen and (max-width: 505px) {
  .button {
    font-size: 14px;
    padding: 20px 3px;
  }
}

.button:hover {
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}

.blue-button {
  background-color: #03a9f4;
}

.blue-button:focus {
  background-color: #0398db;
  outline: 0;
}

.green-button {
  background-color: #64db64;
}

.green-button:focus {
  background-color: #4fd64f;
  outline: 0;
}

table,
td,
tr {
  box-sizing: border-box;
  cursor: pointer;
}

table {
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19), 0 6px 6px rgba(0, 0, 0, 0.23);
  margin: 20px auto;
  border-collapse: collapse;
}

td {
  min-width: 20px;
  height: 20px;
  border: 1px solid #808080;
  background: #fff;
}
